using Automancer.Command.Image;
using Automancer.Common;
using Spectre.Console.Cli;

namespace Automancer.Command.Container;

public class Module : ICommandModuleWithRegistry
{
    public void Configure(IConfigurator config)
    {
        // No implementation needed here
    }

    public void Configure(IConfigurator config, CommandRegistry registry)
    {
        config.AddBranch("container", container =>
        {
            var description = "Container operations";
            
            container.SetDescription(description);
            registry.Add("container", description);

            container.AddCommand<PsCommand>("ps").WithDescription("List containers");
        });
    }
}