namespace Automancer.Common;

public record CommandInfo(string Path, string? Description);

public class CommandRegistry
{
    public List<CommandInfo> Commands { get; } = new();

    public void Add(string path, string? description)
    {
        Commands.Add(new CommandInfo(path, description));
    }
}
